
Website Monitoring - Bug #2857

Website Monitoring doesn't support FIPS mode on Cloud

09/24/2020 07:31 PM - Luke Murphey

Status: Closed Start date: 09/24/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.9.4   

Description

History

#1 - 09/24/2020 08:01 PM - Luke Murphey

Problem:

Inputs not generating data

Questions:

nothing What do internal logs say?

index=_internal traceback

nothing What does the health page say?

Nothing

7.2.9.1 What version of Splunk is this?

7.2.9.1

yes Do the inputs get created?

They get created

no Does the search command work?

| webping https://splunk.com

2.9.1 What version is this?

2.9.1

No Is this on SHC?

No

yes Does 7.2.9.1 work locally?

It does

Observations:

This is in cloud

wget can get to the page

StreamedSearch - Streamed search connection terminated

https://community.splunk.com/t5/Splunk-Search/StreamedSearch-Streamed-search-connection-terminated/m-p/192871

This host has FIPS mode enabled but it is not detecting that FIPS is enabled

print(WebPing.is_fips_mode()) returns false

https://docs.splunk.com/Documentation/Splunk/latest/Security/SecuringSplunkEnterprisewithFIPs

Splunk tells you the FIPS mode status

curl -s -k -u admin:changeme https://localhost:8089/services/server/info | grep fips_mode
#2 - 10/05/2020 10:29 PM - Luke Murphey

- Subject changed from Issue with Website Monitoring to Website Monitoring doesn't support FIPS mode on Cloud

#3 - 10/07/2020 04:13 AM - Luke Murphey

How do I patch get_file_path()?

Questions:

Where is it called?

get_checkpoint_data()

save_checkpoint_data()

Could I not just drop the old md5 algorithm?

#4 - 10/07/2020 04:38 PM - Luke Murphey

- Status changed from New to In Progress

#5 - 10/09/2020 04:46 AM - Luke Murphey

- Status changed from In Progress to Closed

- Assignee set to Luke Murphey

- Target version set to 2.9.4

#6 - 10/09/2020 04:46 AM - Luke Murphey

- % Done changed from 0 to 100
